%undefine __libtoolize

%define unstable 0

%define qtdir /usr/lib/qt3
%define kdedir %prefix
%add_findprov_lib_path %_libdir/kde3

Name: kdewebdev
Version: 3.4.1
Release: alt1

Group: Graphical desktop/KDE
Summary: K Desktop Environment - web development programs
License: GPL
URL: http://www.kde.org

Requires: %name-kimagemapeditor = %version-%release
Requires: %name-klinkstatus = %version-%release
Requires: %name-kommander = %version-%release
Requires: %name-kxsldbg = %version-%release
Requires: %name-quanta = %version-%release
Requires: %name-kfilereplace = %version-%release


Source: %name-%version.tar.bz2
#Source: kdewebdev-3.0.98.tar.bz2
Source10: css.tar.bz2
Source11: html.tar.bz2
Source12: javascript.tar.bz2
Source13: php_manual_en_20030401.tar.bz2
Source14: quantadoc-mysql-20030405.tar.bz2


Patch1: 3.2.0-flags.patch
Patch10: quanta-javascript.patch
# security

# Automatically added by buildreq on Thu Oct 07 2004 (-bi)
#BuildRequires: fontconfig freetype2 gcc-c++ gcc-g77 kde-settings kdelibs-devel libarts-devel libbfd-devel libgpg-error libjpeg-devel libpng-devel libqt3-devel libstdc++-devel libxml2-devel libxslt-devel menu-devel python-base python-modules-compiler python-modules-encodings qt3-designer rpm-build-python xml-utils xorg-x11-devel xorg-x11-libs zlib-devel
BuildRequires: fontconfig freetype2 gcc-c++
BuildRequires: kdelibs-devel libarts-devel libjpeg-devel libpng-devel
BuildRequires: libqt3-devel libstdc++-devel libxml2-devel libxslt-devel
BuildRequires: menu-devel qt3-designer rpm-build-python xml-utils
BuildRequires: XFree86-devel XFree86-libs zlib-devel
BuildRequires: kdelibs-devel-cxx = %__gcc_version_base
# hack for apt with old kde
BuildRequires: kdelibs > 3.0 kdelibs-devel > 3.0

%description
K Desktop Environment - web development programs

%package common
Summary: Common empty package for %name
Group: Graphical desktop/KDE
Requires: kde-common >= 3.2
Conflicts: quanta < 3.3.0-alt0.1
#
%description common
Common empty package for %name

%package klinkstatus
Summary: Link checker for KDE
Group: Development/Other
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
%description klinkstatus
KLinkStatus is a link checker for KDE.
It allows you to search internal and external links in your entire web site,
just a single page and choose the depth to search.
You can also check local files, ftp, fish, etc, as KLinkStatus uses KIO.
For performance, links can be checked simultaneously.

%package kimagemapeditor
Summary: Replacing strings over multiple files
Group: Development/Other
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
%description kimagemapeditor
An HTML image map editor

%package kfilereplace
Summary: Replacing strings over multiple files
Group: Text tools
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
Provides: kfilereplace = %version-%release
Obsoletes: kfilereplace < %version-%release
%description kfilereplace
KFileReplace is a terrific new addition to QuantaPlus. It allows one to
quickly replace strings over multiple files in only a few clicks of the
mouse.

%package kommander
Summary: Set of tools to create dynamic GUI
Group: Development/Other
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
%description kommander
Kommander is a set of tools that allow you to create dynamic GUI

%package kxsldbg
Summary: GUI front-end to xsldbg
Group: Development/Debuggers
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#Provides: libxsldbg = %version-%release
#Obsoletes: libxsldbg <= %version-%release
Conflicts: xsldbg
%description kxsldbg
%name-kxsldbg package provides a graphic user interface front-end to
xsldbg which supports debugging of XSLT scripts.

%package quanta
Summary: Web IDE
Group: Development/Other
Requires: %{get_dep kdelibs}
Requires: tidy
Requires: %name-common = %version-%release
Provides: quanta = %version-%release
Obsoletes: quanta <= %version-%release
%description quanta
QuantaPlus is a Web IDE that strives to be neutral and
transparent to all markup languages, while supporting popular
web-based scripting languages, CSS, and other emerging W3C
recommendations.

%prep
%setup -q
#%setup -q -nkdewebdev-3.0.98
%patch1 -p1

mkdir quanta-doc
pushd quanta-doc
for f in %SOURCE10 %SOURCE11 %SOURCE12 %SOURCE13 %SOURCE14
do
    tar xvfj $f
done
%patch10 -p1
popd

#subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:

%build
rm -rf %buildroot
export QTDIR=%qtdir
export KDEDIR=%kdedir

export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export LDFLAGS="-L%buildroot/%_libdir -L%buildroot/%_libdir/kde3 -L%_libdir"

%configure \
%if %unstable
			--enable-debug=full \
%else
			--disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --disable-static \
		    --disable-embedded \
		    --disable-palmtop \
                    --disable-rpath \
		    --enable-new-ldflags \
		    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama \
		    --program-transform-name=""

%make_build

%install
%if %unstable
%set_strip_method none
%endif
export PATH=%_bindir:$PATH

%make_build install DESTDIR=%buildroot

# install quanta docs
pushd quanta-doc
    cp -r * %buildroot/%kdedir/share/apps/quanta/doc
popd
find %buildroot/%kdedir/share/apps/quanta/doc -type f -name install.sh | \
while read f; do rm -f "$f"; done

# Create menu structure
install -d %Kb_menudir/

%Kd2m %name-kommander .hidden %Kbapplnk/.hidden/kmdr-executor.desktop %Kb_menudir/%name-kmdr-executor kde
%Kd2m %name-kommander Applications/Development/Tools %Kbmenudir/kmdr-editor.desktop %Kb_menudir/%name-kmdr-editor
%Kd2m %name-kimagemapeditor Applications/Development/Tools %Kbmenudir/kimagemapeditor.desktop %Kb_menudir/%name-kimagemapeditor
%Kd2m %name-kxsldbg Applications/Development/Tools %Kbmenudir/kxsldbg.desktop %Kb_menudir/%name-kxsldbg
%Kd2m %name-quanta "Applications/Development/Development environments" %Kbmenudir/quanta.desktop %Kb_menudir/%name-quanta
%Kd2m %name-kfilereplace "Applications/Text tools" %Kbmenudir/kfilereplace.desktop %Kb_menudir/%name-kfilereplace
%Kd2m %name-klinkstatus Applications/Development/Tools %Kbmenudir/klinkstatus.desktop %Kb_menudir/%name-klinkstatus


%post klinkstatus
%update_menus
%postun klinkstatus
%clean_menus

%post quanta
%update_menus
%postun quanta
%clean_menus

%post kxsldbg
%update_menus
%postun kxsldbg
%clean_menus

%post kimagemapeditor
%update_menus
%postun kimagemapeditor
%clean_menus

%post kommander
%update_menus
%postun kommander
%clean_menus

%post kfilereplace
%update_menus
%postun kfilereplace
%clean_menus


%files
%files common

%files klinkstatus
%_bindir/klinkstatus
%_libdir/kde3/libklinkstatuspart.*
%_datadir/apps/klinkstatus/
%_datadir/apps/klinkstatuspart/
%_datadir/services/klinkstatus_part.desktop
%_iconsdir/*/*/apps/klinkstatus.*
%doc %_docdir/HTML/en/klinkstatus/
%Kmenudir/klinkstatus.desktop
%_menudir/%name-klinkstatus

%files kimagemapeditor
%_bindir/kimagemapeditor
%_libdir/kde3/libkimagemapeditor.*
%_datadir/apps/kimagemapeditor
%_datadir/services/kimagemapeditorpart.desktop
%_iconsdir/*/*/apps/kimagemapeditor.*
%_iconsdir/*/*/actions/addpoint.png
%_iconsdir/*/*/actions/arrow.png
%_iconsdir/*/*/actions/bug.png
%_iconsdir/*/*/actions/circle.png
%_iconsdir/*/*/actions/circle2.png
%_iconsdir/*/*/actions/freehand.png
%_iconsdir/*/*/actions/lower.png
%_iconsdir/*/*/actions/polygon.png
%_iconsdir/*/*/actions/raise.png
%_iconsdir/*/*/actions/rectangle.png
%_iconsdir/*/*/actions/removepoint.png
%Kmenudir/kimagemapeditor.desktop
%_menudir/%name-kimagemapeditor
					

%files kommander
%_bindir/kmdr-*
%_libdir/libkommanderplugin.so*
%_libdir/libkommanderwidget.*
%_libdir/libkommanderwidgets.so*
%_datadir/apps/kmdr-editor
%_datadir/mimelnk/application/x-kommander.desktop
%doc %_docdir/HTML/en/kommander/
%Kapplnk/.hidden/kmdr-executor.desktop
%Kmenudir/kmdr-editor.desktop
%_menudir/%name-kmdr-executor
%_menudir/%name-kmdr-editor
#
%_includedir/kommander*.h
					

%files kxsldbg
%_bindir/kxsldbg
%_bindir/xsldbg
#usr/include/kde/kxsldbg_partif.h
#usr/include/kde/kxsldbgif.h
#%_libdir/libqtnotfier.so*
#%_libdir/libxsldbg.so*
%_libdir/kde3/libkxsldbgpart.*
%_datadir/apps/kxsldbg
%_datadir/apps/kxsldbgpart
%doc %_docdir/HTML/en/kxsldbg
%_iconsdir/*/*/actions/xsldbg_*.png
%_iconsdir/*/*/actions/1downarrow.png
%_iconsdir/*/*/actions/configure.png
%_iconsdir/*/*/actions/exit.png
%_iconsdir/*/*/actions/hash.png
%_iconsdir/*/*/actions/mark.png
%_iconsdir/*/*/actions/next.png
%_iconsdir/*/*/actions/run.png
%_iconsdir/*/*/actions/step.png
%_datadir/services/kxsldbg_part.desktop
%doc %_docdir/HTML/en/xsldbg/
%Kmenudir/kxsldbg.desktop
%_menudir/%name-kxsldbg

%files quanta
%_bindir/quanta
%_libdir/kde3/quantadebuggergubed.*
%_datadir/apps/kafkapart
%_datadir/apps/quanta
%_datadir/apps/templates/text/scripts/demo.php
%_datadir/mimelnk/application/x-webprj.desktop
%_datadir/services/quanta_preview_config.desktop
%_datadir/services/quantadebuggergubed.desktop
%_datadir/servicetypes/quantadebugger.desktop
%_iconsdir/*/*/apps/quanta.png
%doc %_docdir/HTML/en/quanta
%Kmenudir/quanta.desktop
%_menudir/%name-quanta

%files kfilereplace
%_bindir/kfilereplace
%_libdir/kde3/libkfilereplacepart.*
%_datadir/apps/kfilereplace
%_datadir/apps/kfilereplacepart
%_datadir/services/kfilereplacepart.desktop
%_iconsdir/*/*/apps/kfilereplace.*
%doc %_docdir/HTML/en/kfilereplace/
%Kmenudir/kfilereplace.desktop
%_menudir/%name-kfilereplace

%changelog
* Wed Jun 08 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt1
- new version

* Mon May 23 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.0-alt2
- add patch for kommander

* Fri Apr 01 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.0-alt1
- new version

* Fri Jan 21 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3.2-alt2
- rebuild with gcc3.4

* Tue Jan 11 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3.2-alt1
- rebuild

* Wed Jan 05 2005 ZerG <zerg@altlinux.ru> 3.3.2-alt0.0.M24
- new version
- add css,html,javascript,php,mysql docs for quanta

* Thu Oct 07 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.1-alt1
- new version

* Tue Oct 05 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.0-alt1
- initial spec
